<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Migration_Tbl_invoice extends TT_migration {

    const table_name = 'tbl_invoice';

    public function up() {
        $this->field_name('invoice_id')->type('INT')->size(11)->auto_increment()->generate();
        $this->field_name('payment_id')->type('INT')->size(11)->generate();
        $this->field_name('invoice_created_date')->type('DATETIME')->generate();
        $this->field_name('invoice_description')->type('TEXT')->generate();
        $this->set_primary_key('invoice_id')->set_table_name(self::table_name)->create();
    }

    public function down() {
        
    }

}
